Name:           python-pyvcd
Version:        0.4.0
Release:        %autorelease
Summary:        Python VCD file support

License:        MIT
URL:            http://pyvcd.readthedocs.io
Source:         %{pypi_source pyvcd}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
The PyVCD package writes Value Change Dump (VCD) files as specified in IEEE
1364-2005.}

%description %_description

%package -n     python3-pyvcd
Summary:        %{summary}

%description -n python3-pyvcd %_description

%prep
%autosetup -p1 -n pyvcd-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vcd

%check
%tox

%files -n python3-pyvcd -f %{pyproject_files}
%doc README.rst CHANGELOG.rst

%changelog
%autochangelog
